function skdhud::Create()
{
	if($s::Huds[kd]) {
		Hud::new("s_KDCont", $s::hud_kd_X, $s::hud_kd_Y, 45, 16, skdhud::Update, "", $sp::bgLevel);
		if($s::BitmapsOn) {
			newObject("s_KDBmp", FearGuiFormattedText, -3, 3, 0, 0);
			Control::setValue("s_KDBmp", "<B:features\\bmps\\kills.bmp>");
			Hud::Add("s_KDCont", "s_KDBmp");
		}		                                  
		newObject("s_KDStr", FearGuiFormattedText, 11, -1, 0, 0);
		Hud::Add("s_KDCont", "s_KDStr");
	}
	
	skdhud::Reset();
}

function skdhud::Reset()
{
	$s::Kills = 0;
	$s::Deaths = 0;
}

function skdhud::Clear()
{
	skdhud::Reset();
	skdhud::Update();
}

function skdhud::Update()
{
	Control::setValue("s_KDStr", $sp::FontColor @ $s::Kills @ "/" @ $s::Deaths);
}

function skdhud::onKillTrak(%killer, %victim, %weapon)
{
	if((%victim == getManagerID()) && (%weapon == "Suicide")) {
		$s::Suicides++;
		skdhud::Update();
	} else if(client::getTeam(%killer) != client::getTeam(%victim)) {
		if(%killer == getManagerID()) {
			$s::Kills++;
			skdhud::Update();
		}
		else if(%victim == getManagerID())
		{
			$s::Deaths++;
			skdhud::Update();
		}
	}
}

if($s::Huds[kd]) {
	skdhud::Create();
	event::Attach(eventKillTrak, skdhud::onKillTrak);
	event::Attach(eventChangeMission, skdhud::Clear);
	event::Attach(eventConnectionAccepted, skdhud::Clear);
}