function RangeFinder::Create()
{
	%x = s::getFullScreenSizeX();
	%y = s::getFullScreenSizeY();

	Hud::new("RFCont", %x / 2 - 31, %y / 2 + 10, 63, 256, RangeFinder::checkWep, "", false);
	newObject("RFBmp", FearGuiFormattedText, 0, 0, 63, 256);
	Hud::Add("RFCont", "RFBmp");
	
	Control::SetVisible("RFCont", "False");
}

function RangeFinder::checkWep(%wep)
{
		if(%wep == "") %wep = getMountedItem(0);
		
		if($sp::ShowRangeFinder) {
			control::setVisible("RFCont", "True");
		} else {
			control::setVisible("RFCont", "False");
			return;
		}
	
		if(%wep == 17)
			control::setValue("RFBmp", "<B0,0:"@"features\\bmps\\"@"GRF_"@RangeFinder::GetX()@".bmp>");
		else if(%wep == 19)
			control::setValue("RFBmp", "<B0,0:"@"features\\bmps\\"@"MRF_"@RangeFinder::GetX()@".bmp>");
		else
			control::setValue("RFBmp", "");
}

function RangeFinder::YouDied(%killer, %victim, %weapon)
{
	control::setVisible("RFCont", "False");
}

function RangeFinder::GetX()
{
	%x = getWord(Control::getExtent(playGui), 0);
	
	if(%x > 1024)
		return 1024;
	else
		return %x;
}

function RangeFinder::Toggle()
{
	RangeFinder::checkWep(getMountedItem(0));
}

event::Attach(eventWeaponChange, RangeFinder::checkWep);
event::Attach(eventYouDied, RangeFinder::YouDied);