function SI::AddItem(%item, %ammo) {
	if(getItemType(%item) != -1) {
		//echo("Added "@%item);
		%num = getItemType(%item);
		$Item::Num[%item] = %num;
		$Item::Name[%num] = %item;
		if(getItemType(%ammo) != -1) {
			//echo(%ammo@" has been added to parent: "@%item);
			%ammoNum = getItemType(%ammo);
			$Item::AmmoNum[%item] = %ammoNum;
			$Item::AmmoName[%num] = %ammo;
			$Item::Num[%ammo] = %ammoNum;
			$Item::Name[%ammoNum] = %ammo;
		}
		return true;
	}
	return false;
}

function SI::Init() {
	//Clear out current variables
	DeleteVariables("$Item::*");
	
	//Base Items
	SI::AddItem("Light Armor");
	SI::AddItem("Medium Armor");
	SI::AddItem("Heavy Armor");
	SI::AddItem("Scout");
	SI::AddItem("LPC");
	SI::AddItem("HPC");
	SI::AddItem("Blaster");
	SI::AddItem("ChainGun", "Bullet");
	SI::AddItem("Plasma Gun", "Plasma Bolt");
	SI::AddItem("Grenade Launcher", "Grenade Ammo");
	SI::AddItem("Mortar", "Mortar Ammo");
	SI::AddItem("Disc Launcher", "Disc");
	SI::AddItem("Laser Rifle");
	SI::AddItem("Targeting Laser");
	SI::AddItem("Elf Gun");
	SI::AddItem("Repair Gun");
	SI::AddItem("Inventory Station");
	SI::AddItem("Ammo Station");
	SI::AddItem("Energy Pack");
	SI::AddItem("Repair Pack");
	SI::AddItem("Shield Pack");
	SI::AddItem("Ammo Pack");
	SI::AddItem("Sensor Jammer Pack");
	SI::AddItem("Motion Sensor");
	SI::AddItem("Pulse Sensor");
	SI::AddItem("Sensor Jammer");
	SI::AddItem("Camera");
	SI::AddItem("Turret");
	SI::AddItem("Repair Kit");
	SI::AddItem("Mine");
	SI::AddItem("Grenade");
	SI::AddItem("Beacon");
}

event::Attach(eventConnected, "SI::Init();");