if(isfile("config\\__mmkeys.cs")) { exec("__mmkeys.cs"); }

NewActionMap("YesNoMap.sae");
EditActionMap("YesNoMap.sae");
bindcommand(keyboard0, make, "y", TO, "YesNo::Reply(TRUE);");
bindcommand(keyboard0, make, "n", TO, "YesNo::Reply(FALSE);");

function YesNo::Trigger(%msg, %returnfunction) {
	if(%msg != "" && %returnfunction != "") {
		PushActionMap("YesNoMap.sae");
		$YesNo::Active = "TRUE";
		$YesNo::ReturnFunction = %returnfunction;
		$YesNo::Msg = %msg;
		YesNo::ChkState();
	}
}

function YesNo::ChkState() {
	if($YesNo::Active == "TRUE") {
		remoteCP(2048, $YesNo::Msg@"\n\n<Jc><F1>Press <F2>Y <F1> for Yes and <F2>N <F1> for no.");
		schedule("YesNo::ChkState();", 1);
	}
}

function YesNo::Reply(%bool) {
	remoteBP(2048, "");
	$YesNo::Active = "";
	PopActionMap("YesNoMap.sae");
	eval($YesNo::ReturnFunction@"("@%bool@");");
}

//Create a new menu
function MS::NewMenu(%menuName, %loc) {
	//Create the new menu and be sure to overwrite any menu info that may be there.
	//This will allow you to rewrite menus on the fly if you wish to do so.
	%menuName = String::Replace(%menuName, " ", "_");
	DeleteVariables("$MS::"@%menuName@"*");
	$MS::[%menuName] = %menuName;
	if(%loc == "tp" || %loc == "bp") {
		$MS::[%menuName, Location] = %loc;
	}
	else {
		$MS::[%menuName, Location] = "cp";
	}
}

//Add a choice to a menu
function MS::AddChoice(%menuName, %key, %title, %function) {
	%menuName = String::Replace(%menuName, " ", "_");
	//If the actionMap doesnt exist, make it
	if(!$MS::[%menuname, actionMap]) { 
		NewActionMap(%MenuName@"Map.sae");
		$MS::[%menuname, actionMap] = "TRUE";
		bindCommand(keyboard0, make, "escape", TO, "MS::Do();");
	}
	//Edit the actionMap for the menu
	EditActionMap(%MenuName@"Map.sae");
	%tmp = $MS::[%menuName, Item]++;
	$MS::FunctionNum++;
	$MS::[%menuName, %tmp] = "<F2>"@%key@". <F1>"@%title;
	$MS::Function[$MS::FunctionNum] = %function;
	bindCommand(keyboard0, make, %key, TO, "MS::Do("@$MS::FunctionNum@");");
	bindCommand(keyboard0, break, %key, TO, "MS::Break();");
	
}

//Dummny break function.  This keeps from mixing up the keymaps.
function MS::Break() { }

function MS::AddMenu(%parentMenu, %key, %menuName) {
	//If the actionMap doesnt exist, make it
	%menuName = String::Replace(%menuName, " ", "_");
	%parentMenu = String::Replace(%parentMenu, " ", "_");
	if(!$MS::[%parentMenu, actionMap]) { 
		NewActionMap(%parentMenu@"Map.sae");
		$MS::[%parentMenu, actionMap] = "TRUE";
		bindCommand(keyboard0, make, "escape", TO, "MS::Do();");
	}
	//Edit the actionMap for the menu
	EditActionMap(%parentMenu@"Map.sae");
	%tmp = $MS::[%parentMenu, Item]++;
	$MS::[%parentMenu, %tmp] = "<F2>"@%key@". <F1>"@%menuName;
	bindCommand(keyboard0, make, %key, TO, "MS::Display("@%menuName@");");
	bindCommand(keyboard0, break, %key, TO, "MS::Break();");
}

function MS::Display(%menuName) {
	%menuName = String::Replace(%menuName, " ", "_");
	if($MS::[%menuName] != "" && %menuName != $MS::CurrentMenu) {
		%text = "\t<JL><F0>"@String::UCase(%menuName)@"\n";
		for(%i = 1; %i <= $MS::[%menuName, Item]; %i++) {
			%text = %text@"\t\t"@$MS::[%menuName, %i]@"\n";
		}
		eval("remote"@$MS::[%menuName, Location]@"(2048, %text);");
		//remoteCP(2048, %text);
		//If a current menu map is up, we need to remove it
		PushActionMap(%MenuName@"Map.sae");
		if($MS::CurrentMenu != "") { PopActionMap($MS::CurrentMenu@"Map.sae"); }
		$MS::CurrentMenu = %menuName;
	}
	else {
		echo("Invalid menu call.  Menu does not exist.");
	}
}

function MS::Do(%functionNum) {
	remoteBP(2048, "");
	PopActionMap($MS::CurrentMenu@"Map.sae");
	$MS::CurrentMenu = "";
	eval($MS::Function[%functionNum]);
}
	
function MM::MousePressed(%key) {
	if($MM::Trapped != "") {
		if($MMPref::Press[$MM::Trapped@%key] == "") {
			MM::PromptAction(%key, $MM::Trapped);
		}
		else {
			%mevent = $MMPref::Press[$MM::Trapped@%key];
			eval(%mevent);
			$MM::ButtonTrap[%key] = $MM::Trapped;
		}
	}
	else {
		if($MMPref::PressButton[%key] == "") {
			MM::PromptAction(%key);
		}
		else {
			%mevent = $MMPref::PressButton[%key];
			eval(%mevent);
		}
	}
	event::Trigger(eventMousePressed,%mevent);
}

function MM::MouseReleased(%key) {
	if($MM::ButtonTrap[%key] != "") {
		%tmp = $MM::ButtonTrap[%key]@%key;
		%mevent = $MMPref::Release[%tmp];
		eval(%mevent);
		$MM::ButtonTrap[%key] = "";
	}
	else {
		%mevent = $MMPref::ReleaseButton[%key];
		eval(%mevent);
	}
	event::Trigger(eventMouseReleased,%mevent);
}

function MM::ModPressed(%key) {
	if($MM::Trapped == "") {
		$MM::Trapped = %key;
	}
}

function MM::ModReleased(%key) {
	if($MM::Trapped == %key) {
		$MM::Trapped = "";
	}
}

function MM::ClearTrapped() {
	$MM::Trapped = "";
}

editActionMap("Playmap.sae");
bindCommand(mouse0, Make, button0, TO, "MM::MousePressed(0);");
bindCommand(mouse0, Make, button1, TO, "MM::MousePressed(1);");
bindCommand(mouse0, Make, button2, TO, "MM::MousePressed(2);");

bindCommand(mouse0, Break, button0, TO, "MM::MouseReleased(0);");
bindCommand(mouse0, Break, button1, TO, "MM::MouseReleased(1);");
bindCommand(mouse0, Break, button2, TO, "MM::MouseReleased(2);");

//We also need control of the modifiers
bindCommand(keyboard0, Make, "control", TO, "MM::ModPressed(\"Control\");");
bindCommand(keyboard0, Make, "shift", TO, "MM::ModPressed(\"Shift\");");
bindCommand(keyboard0, Make, "alt", TO, "MM::ModPressed(\"Alt\");");

bindCommand(keyboard0, Break, "control", TO, "MM::ModReleased(\"Control\");");
bindCommand(keyboard0, Break, "shift", TO, "MM::ModReleased(\"Shift\");");
bindCommand(keyboard0, Break, "alt", TO, "MM::ModReleased(\"Alt\");");
	
function MM::PromptAction(%key, %modifier) {
	$MM::PromptKey = %key;
	$MM::PromptMod = %modifier;
	YesNo::Trigger("<JC><F1>Would you like to set an action for <F2>"@%modifier@" Button"@%key@" <F1>on your mouse?", MM::DoAction);	
}

function MM::DoAction(%bool) {
	if(%bool == "FALSE") {
		$MMPref::Press[$MM::PromptMod@$MM::PromptKey] = "MM::Nothing();";
		$MM::PromptKey = "";
		$MM::PromptMod = "";
	}
	else {
		MS::Display("MouseMod");
	}
}

function MM::Nothing() {}

function MM::SetAction(%actionNum) {
	if($MM::PromptMod != "") {
		$MMPref::Press[$MM::PromptMod@$MM::PromptKey] = $MM::ActionOn[%actionNum];
		$MMPref::Release[$MM::PromptMod@$MM::PromptKey] = $MM::ActionOff[%actionNum];
	}
	else {
		$MMPref::PressButton[$MM::PromptKey] = $MM::ActionOn[%actionNum];
		$MMPref::ReleaseButton[$MM::PromptKey] = $MM::ActionOff[%actionNum];
	}
	$MM::PromptMod = "";
	$MM::PromptKey = "";
}	
	
MS::NewMenu("MouseMod");
$MM::CurrentCharNum = "";
$MM::CurrentAction = "";
function MM::AddAction(%name, %on, %off) {
	if(%off == "") { %off = "MM::Nothing();"; }
	%chars = "-1234567890abcdefghijklnopqrstuvwxyz";
	$MM::CurrentAction++;
	$MM::CurrentCharNum++;
	if($MM::CurrentCharNum == 36) {
		 $MM::CurrentCharNum = 1; 
		 MS::NewMenu("MouseMod Page 2");
		 MS::AddMenu("MouseMod", "m", "MouseMod Page 2");
	}
	if($MM::CurrentAction > 35) { $MM::CurrentMenu = "MouseMod Page 2"; }
	else { $MM::CurrentMenu = "MouseMod"; }
	
	$MM::ActionOn[$MM::CurrentAction] = %on;
	$MM::ActionOff[$MM::CurrentAction] = %off;
	MS::AddChoice($MM::CurrentMenu, String::GetSubStr(%chars, $MM::CurrentCharNum, 1), %name, "MM::SetAction("@$MM::CurrentAction@");");
}

function MM::SaveKeys()
{
	echo("exporting smalesHUD"@$s::Version@" mousemod prefs...");
	export("$MMPref::*", "config\\__mmkeys.cs");
}

event::Attach(EventAltTabPressed, MM::ClearTrapped);
event::Attach(EventAltEnterPressed, MM::ClearTrapped);
event::Attach(EventControlEscapePressed, MM::ClearTrapped);
event::Attach(eventExit, MM::SaveKeys);

MM::AddAction("Default Tribes Fire", "postAction(2048, IDACTION_FIRE1, 1.000000);", "postAction(2048, IDACTION_BREAK1, 1.000000);");
MM::AddAction("Jet", "postAction(2048, IDACTION_JET, 1.000000);", "postAction(2048, IDACTION_JET, 0.000000);");
MM::AddAction("Ski", "s::skiStart();", "s::skiStop();");
MM::AddAction("Command Acknowledged", "CcommandAck();", "");
MM::AddAction("Command Declined", "commandDeclined();");
MM::AddAction("Command Completed", "commandCompleted();");
MM::AddAction("Vote Yes", "voteYes();");
MM::AddAction("Vote No", "voteNo();");
MM::AddAction("Toggle Objectives Mode", "remoteEval(2048, ToggleObjectivesMode);", "remoteEval(2048, ToggleObjectivesMode);");
MM::AddAction("Toggel Command Mode", "remoteEval(2048, ToggleCommandMode);", "remoteEval(2048, ToggleCommandMode);");
MM::AddAction("Toggle Inventory Mode", "remoteEval(2048, ToggleInventoryMode);", "remoteEval(2048, ToggleInventoryMode);");
MM::AddAction("Strafe Left", "postAction(2048, IDACTION_MOVELEFT, 1.000000);", "postAction(2048, IDACTION_MOVELEFT, 0.000000);");
MM::AddAction("Strafe Right", "postAction(2048, IDACTION_MOVERIGHT, 1.000000);", "postAction(2048, IDACTION_MOVERIGHT, 0.000000);");
MM::AddAction("Move Back", "postAction(2048, IDACTION_MOVEBACK, 1.000000);", "postAction(2048, IDACTION_MOVEBACK, 0.000000);");
MM::AddAction("Move Forward", "postAction(2048, IDACTION_MOVEFORWARD, 1.000000);", "postAction(2048, IDACTION_MOVEFORWARD, 0.000000);");
MM::AddAction("Look Up", "postAction(2048, IDACTION_LOOKUP, 0.099999);", "postAction(2048, IDACTION_LOOKUP, 0.000000);");
MM::AddAction("Look Down", "postAction(2048, IDACTION_LOOKDOWN, 0.099999);", "postAction(2048, IDACTION_LOOKDOWN, 0.000000);");
MM::AddAction("Turn Right", "postAction(2048, IDACTION_TURNRIGHT, 0.099999);", "postAction(2048, IDACTION_TURNRIGHT, 0.000000);");
MM::AddAction("Turn Left", "postAction(2048, IDACTION_TURNLEFT, 0.099999);", "postAction(2048, IDACTION_TURNLEFT, 0.000000);");
MM::AddAction("Drop Weapon", "drop(Weapon);");
MM::AddAction("Drop Ammo", "drop(Ammo);");
MM::AddAction("Drop Flag", "drop(Flag);");
MM::AddAction("Suicide", "kill();");
MM::AddAction("Use Repair Kit", "use(\"Repair Kit\");");
MM::AddAction("Use Beacon", "use(\"beacon\");");
MM::AddAction("Use BackPack", "use(\"BackPack\");");
MM::AddAction("Drop BackPack", "drop(Backpack);");
MM::AddAction("Jump", "postAction(2048, IDACTION_MOVEUP, 1.000000);");
MM::AddAction("Look Center", "postAction(2048, IDACTION_CENTERVIEW, 1.000000);");
MM::AddAction("Crouch", "postAction(2048, IDACTION_CROUCH, 1.000000);", "postAction(2048, IDACTION_STAND, 1.000000);");
MM::AddAction("3rd Person View", "postAction(2048, IDACTION_VIEW, 1.000000);", "postAction(2048, IDACTION_VIEW, 0.000000);");
MM::AddAction("Free Look", "setFreeLook(TRUE);", "setFreeLook(FALSE);");
MM::AddAction("Default Tribes Zoom", "postAction(2048, IDACTION_SNIPER_FOV, 1.000000);", "postAction(2048, IDACTION_SNIPER_FOV, 0.000000);");
MM::AddAction("Default Tribes Zoom Level", "postAction(2048, IDACTION_INC_SNIPER_FOV, 1.000000);");
MM::AddAction("Next Weapon", "nextWeapon();");
MM::AddAction("Previous Weapon", "prevWeapon();");
MM::AddAction("Throw Mine Max Velocity", "remoteEval(2048, throwItem, getItemType(\"Mine\"), 100);");
MM::AddAction("Throw Grenade Max Velocity", "remoteEval(2048, throwItem, getItemType(\"Grenade\"), 100);");

MS::NewMenu("MouseModSelectKey");
MS::AddChoice("MouseModSelectKey", "1", "Left Button", "MM::PromptAction(0);");
MS::AddChoice("MouseModSelectKey", "2", "Right Button", "MM::PromptAction(1);");
MS::AddChoice("MouseModSelectKey", "3", "Middle Button", "MM::PromptAction(2);");
MS::AddChoice("MouseModSelectKey", "4", "Control + Left Button", "MM::PromptAction(0, \"Control\");");
MS::AddChoice("MouseModSelectKey", "5", "Control + Right Button", "MM::PromptAction(1, \"Control\");");
MS::AddChoice("MouseModSelectKey", "6", "Control + Middle Button", "MM::PromptAction(2, \"Control\");");
MS::AddChoice("MouseModSelectKey", "7", "Shift + Left Button", "MM::PromptAction(0, \"Shift\");");
MS::AddChoice("MouseModSelectKey", "8", "Shift + Right Button", "MM::PromptAction(1, \"Shift\");");
MS::AddChoice("MouseModSelectKey", "9", "Shift + Middle Button", "MM::PromptAction(2, \"Shift\");");
MS::AddChoice("MouseModSelectKey", "a", "Alt + Left Button", "MM::PromptAction(0, \"Alt\");");
MS::AddChoice("MouseModSelectKey", "b", "Alt + Right Button", "MM::PromptAction(1, \"Alt\");");
MS::AddChoice("MouseModSelectKey", "c", "Alt + Middle Button", "MM::PromptAction(2, \"Alt\");");