function s::SpawnOnKill(%killer, %victim, %weapon)
{
	if(%victim == getManagerID()) {
		event::Trigger(eventYouDied);
		$Player::Dead = true;
	}
}

function s::SpawnOnConnect()
{
	$Player::Dead = true;
	s::SpawnCheck();
}

function s::SpawnCheck() {
	if($Player::Dead) {
		if(getMountedItem(0) != -1) {
			$Player::Dead = false;
			event::Trigger(eventYouSpawned);
		}
		schedule::add("s::SpawnCheck();", 0.1);
	}
}

event::Attach(eventConnected, s::SpawnOnConnect);
event::Attach(eventFirePressed, s::SpawnCheck);
event::Attach(eventKillTrak, s::SpawnOnKill);