function Waypoints::addWP(%map, %x, %y, %side)
{
	$Waypoints::data[%map] = 1;
	$Waypoints::data[%map, %side, x] = %x;
	$Waypoints::data[%map, %side, y] = %y;
}

function Waypoints::targetFriendlyFlag()
{
	if (!$Waypoints::data[$ServerMission])
		return;
	
	%side = Team::Friendly();

	remoteEval( 2048, "issueCommand", 1, "Waypoint: Friendly Flag",
				$Waypoints::data[$ServerMission, %side, x], $Waypoints::data[$servermission, %side, y],
				getManagerId());
}

function Waypoints::targetEnemyFlag()
{
	if (!$Waypoints::data[$ServerMission])
		return;
	
	%side = Team::Enemy();

	remoteEval( 2048, "issueCommand", 1, "Waypoint: Enemy Flag",
				$Waypoints::data[$ServerMission, %side, x], $Waypoints::data[$servermission, %side, y],
				getManagerId());
}



// -=-=-=-=-=-=-=-=-=-=-=-=-
// Acrophobia
Waypoints::addWP("Acrophobia", 698, 800, 0);
Waypoints::addWP("Acrophobia", 327, 225, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// AvalancheMkII
Waypoints::addWP("AvalancheMkII", 879, 728, 0);
Waypoints::addWP("AvalancheMkII", 145, 297, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// CanyonCrusade_deluxe
Waypoints::addWP("CanyonCrusade_deluxe", 806, 592, 0);
Waypoints::addWP("CanyonCrusade_deluxe", 205, 572, 1);
Waypoints::addWP("CanyonCrusade_deluxe ", 806, 592, 0);
Waypoints::addWP("CanyonCrusade_deluxe ", 205, 572, 1);
Waypoints::addWP("CanyonCrusadeLT", 806, 592, 0);
Waypoints::addWP("CanyonCrusadeLT", 205, 572, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Cloak Of Night
Waypoints::addWP("CloakOfNight", 840, 836, 0);
Waypoints::addWP("CloakOfNight", 184, 188, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Dangerous Crossing
Waypoints::addWP("DangerousCrossing", 800, 750, 0);
Waypoints::addWP("DangerousCrossing", 421, 288, 1);
Waypoints::addWP("DangerousCrossingLT", 800, 750, 0);
Waypoints::addWP("DangerousCrossingLT", 421, 288, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Desert Of Death
Waypoints::addWP("Desert_Of_Death", 389, 196, 0);
Waypoints::addWP("Desert_Of_Death", 371, 883, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Domino
Waypoints::addWP("Domino", 256, 226, 0);
Waypoints::addWP("Domino", 768, 797, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// IceRidge
Waypoints::addWP("IceRidge", 599, 212, 0);
Waypoints::addWP("IceRidge", 345, 787, 1);
Waypoints::addWP("IceRidgeLT", 599, 212, 0);
Waypoints::addWP("IceRidgeLT", 345, 787, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Jagged Claw
Waypoints::addWP("JaggedClaw", 635, 250, 0);
Waypoints::addWP("JaggedClaw", 297, 756, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Northern Lights
Waypoints::addWP("NorthernLights", 483, 260, 0, $Waypoints::BaseStr);
Waypoints::addWP("NorthernLights", 540, 764, 1, $Waypoints::BaseStr);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Obfuscation
Waypoints::addWP("Obfuscation", 283, 836, 0);
Waypoints::addWP("Obfuscation", 752, 241, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// IceDagger
Waypoints::addWP("IceDagger", 222, 233, 0);
Waypoints::addWP("IceDagger", 808, 786, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// MidnightMayhem_deluxe
Waypoints::addWP("MidnightMayhem_deluxe", 124, 510, 0);
Waypoints::addWP("MidnightMayhem_deluxe", 886, 491, 1);
Waypoints::addWP("MidnightMayhem_deluxe ", 124, 510, 0);
Waypoints::addWP("MidnightMayhem_deluxe ", 886, 491, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Raindance
Waypoints::addWP("Raindance", 577, 138, 0);
Waypoints::addWP("Raindance", 386, 844, 1);
Waypoints::addWP("RaindanceLT", 577, 138, 0);
Waypoints::addWP("RaindanceLT", 386, 844, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Reliquary
Waypoints::addWP("Reliquary", 634, 190, 0);
Waypoints::addWP("Reliquary", 391, 834, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Rollercoaster
Waypoints::addWP("Rollercoaster", 488, 902, 0);
Waypoints::addWP("Rollercoaster", 382, 168, 1);
Waypoints::addWP("RollercoasterLT", 488, 902, 0);
Waypoints::addWP("RollercoasterLT", 382, 168, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// SideWinder
Waypoints::addWP("SideWinder", 154, 459, 0);
Waypoints::addWP("SideWinder", 851, 628, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Simoom
Waypoints::addWP("Simoom", 233, 603, 0);
Waypoints::addWP("Simoom", 791, 421, 1);
Waypoints::addWP("SimoomLT", 233, 603, 0);
Waypoints::addWP("SimoomLT", 791, 421, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Snowblind
Waypoints::addWP("Snowblind", 194, 502, 0);
Waypoints::addWP("Snowblind", 862, 607, 1);
Waypoints::addWP("SnowblindLT", 194, 502, 0);
Waypoints::addWP("SnowblindLT", 862, 607, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// SpinCycle
Waypoints::addWP("SpinCycle", 505, 853, 0);
Waypoints::addWP("SpinCycle", 508, 203, 1);
Waypoints::addWP("SpinCycleLT", 505, 853, 0);
Waypoints::addWP("SpinCycleLT", 508, 203, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
// Stonehenge
Waypoints::addWP("Stonehenge", 230, 244, 0);
Waypoints::addWP("Stonehenge", 814, 735, 1);
Waypoints::addWP("StonehengeLT", 230, 244, 0);
Waypoints::addWP("StonehengeLT", 814, 735, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//Emerald_Valley
Waypoints::addWP("Emerald_Valley", 554, 797, 0);
Waypoints::addWP("Emerald_Valley", 555, 141, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//ArcticWolf
Waypoints::addWP("ArcticWolf", 253, 814, 0);
Waypoints::addWP("ArcticWolf", 737, 214, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//DarkAurora
Waypoints::addWP("DarkAurora", 412, 132, 0);
Waypoints::addWP("DarkAurora", 629, 502, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//OlympusMons
Waypoints::addWP("OlympusMons", 128, 610, 0);
Waypoints::addWP("OlympusMons", 884, 458, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//Sulfurious
Waypoints::addWP("Sulfurious", 582, 128, 0);
Waypoints::addWP("Sulfurious", 405, 885, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//StoneDust
Waypoints::addWP("StoneDust", 403, 498, 0);
Waypoints::addWP("StoneDUst", 776, 486, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//QuickSand
Waypoints::addWP("QuickSand", 539, 779, 0);
Waypoints::addWP("QuickSand", 530, 256, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//MistyLinks
Waypoints::addWP("MistyLinks", 355, 789, 0);
Waypoints::addWP("MistyLinks", 664, 279, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//AntarcticSpell
Waypoints::addWP("AntarcticSpell", 398, 785, 0);
Waypoints::addWP("AntarcticSpell", 252, 257, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//DeadlyValley
Waypoints::addWP("DeadlyValley", 869, 475, 0);
Waypoints::addWP("DeadlyValley", 212, 466, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//DesertNights
Waypoints::addWP("DesertNights", 578, 772, 0);
Waypoints::addWP("DesertNights", 487, 264, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//Bastard_Forge
Waypoints::addWP("Bastard_Forge", 376, 296, 0);
Waypoints::addWP("Bastard_Forge", 606, 717, 1);
Waypoints::addWP("Bastard_Forge_Day", 376, 296, 0);
Waypoints::addWP("Bastard_Forge_Day", 606, 717, 1);
Waypoints::addWP("Bastard_ForgeLT", 376, 296, 0);
Waypoints::addWP("Bastard_ForgeLT", 606, 717, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//Control
Waypoints::addWP("Control", 807, 751, 0);
Waypoints::addWP("Control", 161, 205, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//Hildebrand
Waypoints::addWP("Hildebrand", 491, 259, 0);
Waypoints::addWP("Hildebrand", 443, 752, 1);
Waypoints::addWP("HildebrandLT", 491, 259, 0);
Waypoints::addWP("HildebrandLT", 443, 752, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//Integration
Waypoints::addWP("Integration", 846, 353, 0);
Waypoints::addWP("Integration", 226, 544, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//Runout
Waypoints::addWP("Runout", 879, 738, 0);
Waypoints::addWP("Runout", 135, 289, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//StarFall
Waypoints::addWP("StarFall", 556, 251, 0);
Waypoints::addWP("StarFall", 552, 765, 1);
Waypoints::addWP("StarFallLT", 556, 251, 0);
Waypoints::addWP("StarFallLT", 552, 765, 1);

// -=-=-=-=-=-=-=-=-=-=-=-=-
//Tesseract
Waypoints::addWP("Tesseract", 512, 907, 0);
Waypoints::addWP("Tesseract", 512, 109, 1);
