$s::fpshudpulse = 0.75;

function fpshud::Create()
{
	if($s::Huds[fps]) {
		Hud::new("s_FPSCont", $s::hud_fps_X, $s::hud_fps_Y, 36, 16, fpshud::Update, "", $sp::bgLevel);
		newObject("s_FPSStr", FearGuiFormattedText, 12, -1, 0, 0);
		Hud::Add("s_FPSCont", "s_FPSStr");
		if($s::BitmapsOn) {
			newObject("s_FPSBmp", FearGuiFormattedText, -3, 6, 0, 0);
			Control::setValue("s_FPSBmp", "<Blr_infinity_on.bmp>");
			Hud::Add("s_FPSCont", "s_FPSBmp");
		}
	}
}

function fpshud::Update()
{
	$s::curFPS = floor($ConsoleWorld::FrameRate);
	Control::setValue("s_FPSStr", $sp::FontColor @ $s::curFPS);
		
	Schedule::Add("fpshud::Update();", $s::fpshudpulse);
}

if($s::Huds[fps]) {
	fpshud::Create();
}