$s::itemhudpulse = 1;

function itemhud::Create()
{
	if($s::Huds[grens]) {
		Hud::new("s_GrensCont", $s::hud_grens_X, $s::hud_grens_Y, 36, 16, itemhud::Update, "", $sp::bgLevel);
		if($s::BitmapsOn) {
			newObject("s_GrensBmp", FearGuiFormattedText, 2, 6, 0, 0);
			Control::setValue("s_GrensBmp", "<B:features\\bmps\\gren.bmp>");
			Hud::Add("s_GrensCont", "s_GrensBmp");
		}
		newObject("s_GrensStr", FearGuiFormattedText, 22, -1, 0, 0);
		Hud::Add("s_GrensCont", "s_GrensStr");
	}

	if($s::Huds[mines]) {
		Hud::new("s_MinesCont", $s::hud_mines_X, $s::hud_mines_Y, 36, 16, itemhud::Update, "", $sp::bgLevel);
		if($s::BitmapsOn) {
			newObject("s_MinesBmp", FearGuiFormattedText, 4, 4, 0, 0);
			Control::setValue("s_MinesBmp", "<B:features\\bmps\\mine.bmp>");
			Hud::Add("s_MinesCont", "s_MinesBmp");
		}
		newObject("s_MinesStr", FearGuiFormattedText, 22, -1, 0, 0);
		Hud::Add("s_MinesCont", "s_MinesStr");
	}

	if($s::Huds[beacs]) {
		Hud::new("s_BeacsCont", $s::hud_beacs_X, $s::hud_beacs_Y, 36, 16, itemhud::Update, "", $sp::bgLevel);
		if($s::BitmapsOn) {
			newObject("s_BeacsBmp", FearGuiFormattedText, 2, 2, 0, 0); 
			Control::setValue("s_BeacsBmp", "<B:features\\bmps\\beac.bmp>");
			Hud::Add("s_BeacsCont", "s_BeacsBmp");
		}
		newObject("s_BeacsStr", FearGuiFormattedText, 22, -1, 0, 0);
		Hud::Add("s_BeacsCont", "s_BeacsStr");
	}

	if($s::Huds[kit]) {
		Hud::new("s_KitCont", $s::hud_kit_X, $s::hud_kit_Y, 36, 16, itemhud::Update, "", $sp::bgLevel);
		newObject("s_KitBmp", FearGuiFormattedText, 9, 4, 0, 0);
		Control::setValue("s_KitBmp", "<B:features\\bmps\\rkit.bmp>");
		Hud::Add("s_KitCont", "s_KitBmp");
	}
	
	itemhud::Reset();
}

function itemhud::Reset()
{
	$s::MineCount = 0;
	$s::GrenadeCount = 0;
	$s::KitCount = 0;
	$s::BeaconCount = 0;
}

function itemhud::Update()
{
	$s::KitCount = getItemCount("Repair Kit");
	$s::MineCount =  getItemCount("Mine");
	$s::GrenadeCount = getItemCount("Grenade");
	$s::BeaconCount = getItemCount("Beacon");
	Control::setValue("s_GrensStr", $sp::FontColor @ $s::GrenadeCount);
	Control::setValue("s_MinesStr", $sp::FontColor @ $s::MineCount);
	Control::setValue("s_BeacsStr", $sp::FontColor @ $s::BeaconCount);
	if ($s::KitCount)
		Control::setValue("s_KitBmp", "<B:features\\bmps\\rkit.bmp>");
	else
		Control::setValue("s_KitBmp", "");
	
	Schedule::Add("itemhud::Update();", $s::itemhudpulse);
}

if($s::Huds[grens] || $s::Huds[mines] || $s::Huds[beacs] || $s::Huds[kit]) {
	itemhud::Create();
	event::Attach(eventChangeMission, itemhud::Reset);
	event::Attach(eventConnectionAccepted, itemhud::Reset);
}