//WayPointer
$wp::currentClient = 1;
$wp::clientName = "";

function wp::togoClients(%direction)
{
	echo("CURRENT CLIENT:" @ $wp::currentClient);
	echo("TEAM SIZE:" @ $wp::Client::TeamSize[Team::Friendly()]);
	
	$wp::currentClient = $wp::currentClient + %direction;
	
	if($wp::currentClient < 1)
		$wp::currentClient = $wp::Client::TeamSize[Team::Friendly()];
	if($wp::currentClient > $wp::Client::TeamSize[Team::Friendly()])
		$wp::currentClient = 1;
	
	$wp::clientName = client::getName($wp::Team::List[Team::Friendly(), $wp::currentClient]);
	echo("CLIENT NAME:" @ $wp::clientName);
	%teamString = "";
	for(%count = 1; %count <= $wp::Client::TeamSize[Team::Friendly()]; %count++)
	{
		if(%count == $wp::currentClient) {
			%teamString = %teamString @ "<f2>(<f3> " @ String::EscapeTags(client::getName($wp::Team::List[Team::Friendly(), %count])) @ " <f2>)";
		} else {
			%teamString = %teamString @ "<f2>(<f2> " @ String::EscapeTags(client::getName($wp::Team::List[Team::Friendly(), %count])) @ " <f2>)";
		}
	}
	s::CenterPrint("<JC>" @ %teamString, 1);
}

function wp::AddClient(%client, %team)
{
	//inc
	$wp::Client::Clients++;
	$wp::Client::TeamSize[ %team ]++;
	
	//add client to the end of the list
	$wp::Client::List[ $wp::Client::Clients ]	= %client;
	$wp::Client::Position[ %client ]				= $wp::Client::Clients;
	
	//set the client info
	$wp::Client::Team[ %client ] = %team;
	$wp::Client::Name[ %client ] = Client::GetName( %client );
}

function wp::DropClient(%client, %team)
{
	//get some positions
	%lastcl			= $wp::Client::List[ $wp::Client::Clients ];
	%dropclientpos	= $wp::Client::Position[ %client ];
	
	//set the last client to the dropping clients position
	$wp::Client::List[ %dropclientpos ]			= %lastcl;
	$wp::Client::Position[ %lastcl ]			= %dropclientpos;
	
	//erase dropping client
	$wp::Client::Position[ %client ]			= "";
	$wp::Client::List[ $wp::Client::Num[%team] ]		= "";
	$wp::Client::Team[ %client ]				= "";
	
	//dec
	$wp::Client::Clients--;
	$wp::Client::TeamSize[ %team ]--;
}

function wp::updateTeamList()
{
	$tc[-1] = 0;
	$tc[0] = 0;
	$tc[1] = 0;
	for(%i=1;%i<=$wp::Client::Clients;%i++) {
		%client = $wp::Client::List[%i];
		%team = $wp::Client::Team[%client];
		$wp::Team::List[%team, $tc[%team]++] = %client;
	}
}

function wp::onClientJoin(%client)
{
	wp::AddClient(%client, Client::GetTeam(%client));
	wp::updateTeamList();
}

function wp::onClientDrop(%client)
{
	wp::DropClient(%client, $wp::Client::Team[ %client ]);
	wp::updateTeamList();
}

function wp::onClientChangeTeam(%client, %team)
{
	wp::DropClient(%client, $wp::Client::Team[ %client ]);
	wp::AddClient(%client, %team);
	wp::updateTeamList();
}

function wp::Size(%team)
{
	return $wp::Client::TeamSize[ %team ];
}

event::Attach(eventConnectionAccepted, "DeleteVariables(\"$wp::Client*\"); $wp::Client::Clients=0; $wp::Client::TeamSize[0] = 0; $wp::Client::TeamSize[1] = 0; $wp::Client::TeamSize[-1] = 0;");
event::Attach(eventClientChangeTeam, wp::onClientChangeTeam);
event::Attach(eventClientJoin, wp::onClientJoin);
event::Attach(eventClientDrop, wp::onClientDrop);