// ---------------------------------- FOV ---------------------------------------
// this changes your in game field of view
$pref::playerFOV = 110;

// --------------------------------- FONT ----------------------------------
// Verdana or Default
$s::Font = "Verdana";

// -------------------------- MOUSE SENSITIVITY ---------------------------
// *** YOUR BASE SENSITIVITY IS SET IN __ingame.cs

// SCOUT CONTROL SENSITIVITY
// These sensitivity values are used when you are in a scout and want
// slightly more sensitive controls. The first is for Left and Right
// sensitivity, the second is for Up and Down sensitivity. You may need to
// tweak these default values.
$s::sensScoutX = 0.7;
$s::sensScoutY = 0.02;

// SCOUT SPAZ CONTROL SENSITIVITY
// These sensitivity values are used when you are in a scout and want
// spaztic input controls. Using these (while in a scout) will make you VERY
// difficult to hit! The first is for Left and Right sensitivity, the second
// is for Up and Down sensitivity. You may need to tweak these default
// values.
$s::sensSpazX = 1.0;
$s::sensSpazY = 1.0;

// INCREASE SENSITIVITY FACTOR WHEN ZOOMED
//sensitivity when zoomed in
$s::sensFactorZoom = 1.5;
//sensitivity when zoomed with laser rifle only
$s::sensFactorZoomRifle = 1.0;

// ------------------------ FAST FAVS ---------------------------
// follow the format below to create additional loadouts
$Favorite::fastFave[0,name] = "Med (TURRET)";
$Favorite::fastFave[0,1] = "Chaingun";
$Favorite::fastFave[0,2] = "Disc Launcher";
$Favorite::fastFave[0,3] = "Grenade Launcher";
$Favorite::fastFave[0,4] = "Plasma Gun";
$Favorite::fastFave[0,armor] = "Medium armor";
$Favorite::fastFave[0,pack] = "Turret";
$Favorite::fastFave[0,mines] = 1;

$Favorite::fastFave[1,name] = "Light (ENERGY/disc/cg/gren)";
$Favorite::fastFave[1,1] = "Disc Launcher";
$Favorite::fastFave[1,2] = "Chaingun";
$Favorite::fastFave[1,3] = "Grenade Launcher";
$Favorite::fastFave[1,armor] = "Light armor";
$Favorite::fastFave[1,pack] = "Energy pack";
$Favorite::fastFave[1,mines] = 1;

$Favorite::fastFave[2,name] = "Light (ENERGY/disc/cg/rifle)";
$Favorite::fastFave[2,1] = "Disc Launcher";
$Favorite::fastFave[2,2] = "Chaingun";
$Favorite::fastFave[2,3] = "Laser Rifle";
$Favorite::fastFave[2,armor] = "Light armor";
$Favorite::fastFave[2,pack] = "Energy pack";
$Favorite::fastFave[2,mines] = 1;

$Favorite::fastFave[3,name] = "Heavy (SHIELD)";
$Favorite::fastFave[3,1] = "Chaingun";
$Favorite::fastFave[3,2] = "Disc Launcher";
$Favorite::fastFave[3,3] = "Grenade Launcher";
$Favorite::fastFave[3,4] = "Mortar";
$Favorite::fastFave[3,5] = "Plasma Gun";
$Favorite::fastFave[3,armor] = "Heavy armor";
$Favorite::fastFave[3,pack] = "Shield pack";
$Favorite::fastFave[3,mines] = 1;

$Favorite::fastFave[4,name] = "Heavy (REPAIR)";
$Favorite::fastFave[4,1] = "Chaingun";
$Favorite::fastFave[4,2] = "Disc Launcher";
$Favorite::fastFave[4,3] = "Grenade Launcher";
$Favorite::fastFave[4,4] = "Mortar";
$Favorite::fastFave[4,5] = "Plasma Gun";
$Favorite::fastFave[4,armor] = "Heavy armor";
$Favorite::fastFave[4,pack] = "Repair pack";
$Favorite::fastFave[4,mines] = 1;

$Favorite::fastFave[5,name] = "Heavy (ENERGY)";
$Favorite::fastFave[5,1] = "Chaingun";
$Favorite::fastFave[5,2] = "Disc Launcher";
$Favorite::fastFave[5,3] = "Grenade Launcher";
$Favorite::fastFave[5,4] = "Mortar";
$Favorite::fastFave[5,5] = "Plasma Gun";
$Favorite::fastFave[5,armor] = "Heavy armor";
$Favorite::fastFave[5,pack] = "Energy pack";
$Favorite::fastFave[5,mines] = 1;

$Favorite::fastFave[6,name] = "Heavy (INVENTORY)";
$Favorite::fastFave[6,1] = "Chaingun";
$Favorite::fastFave[6,2] = "Disc Launcher";
$Favorite::fastFave[6,3] = "Grenade Launcher";
$Favorite::fastFave[6,4] = "Mortar";
$Favorite::fastFave[6,5] = "Plasma Gun";
$Favorite::fastFave[6,armor] = "Heavy armor";
$Favorite::fastFave[6,pack] = "Inventory Station";
$Favorite::fastFave[6,mines] = 1;

$Favorite::fastFave[7,name] = "Light (REPAIR/disc/cg/gren)";
$Favorite::fastFave[7,1] = "Disc Launcher";
$Favorite::fastFave[7,2] = "Chaingun";
$Favorite::fastFave[7,3] = "Grenade Launcher";
$Favorite::fastFave[7,armor] = "Light armor";
$Favorite::fastFave[7,pack] = "Repair pack";
$Favorite::fastFave[7,mines] = 1;

$Favorite::fastFave[8,name] = "Light (PULSE)";
$Favorite::fastFave[8,1] = "Disc Launcher";
$Favorite::fastFave[8,2] = "Chaingun";
$Favorite::fastFave[8,3] = "Grenade Launcher";
$Favorite::fastFave[8,armor] = "Light armor";
$Favorite::fastFave[8,pack] = "Pulse Sensor";
$Favorite::fastFave[8,mines] = 1;

$Favorite::fastFave[9,name] = "Med (INVENTORY)";
$Favorite::fastFave[9,1] = "Chaingun";
$Favorite::fastFave[9,2] = "Disc Launcher";
$Favorite::fastFave[9,3] = "Grenade Launcher";
$Favorite::fastFave[9,4] = "Plasma Gun";
$Favorite::fastFave[9,armor] = "Medium armor";
$Favorite::fastFave[9,pack] = "Inventory Station";
$Favorite::fastFave[9,mines] = 1;

$Favorite::fastFave[10,name] = "Light (ENERGY/disc/cg/elf)";
$Favorite::fastFave[10,1] = "Disc Launcher";
$Favorite::fastFave[10,2] = "Chaingun";
$Favorite::fastFave[10,3] = "Elf Gun";
$Favorite::fastFave[10,armor] = "Light armor";
$Favorite::fastFave[10,pack] = "Energy pack";
$Favorite::fastFave[10,mines] = 1;

$Favorite::fastFave[11,name] = "Light (ENERGY/disc/gren/plas)";
$Favorite::fastFave[11,1] = "Disc Launcher";
$Favorite::fastFave[11,2] = "Grenade Launcher";
$Favorite::fastFave[11,3] = "Plasma Gun";
$Favorite::fastFave[11,armor] = "Light armor";
$Favorite::fastFave[11,pack] = "Energy pack";
$Favorite::fastFave[11,mines] = 1;

// ----------------------- TARGETING VISUALS AND SOUNDS --------------------
$s::targtext[friendly] = "*** ESCORT FRIENDLY: ";
$s::targsnd[friendly] = "~wescfr";
$s::targtext[enemy] = "*** ATTACK: ";
$s::targsnd[enemy] = "~wattway";
$s::targ2text = "ll IM YOUR COVER: ";
$s::targ2snd = "~wtaunt4";

// ------------------------------- CENTERPRINTS ----------------------------
// where do you want centerprints to appear
// 0 = center
// 1 = bottom
// 2 = top
$s::cpLoc = 1;

// -------------------------------- SPLIT MSG HUD --------------------------
// number of lines of text it will show
$s::smsgLines = 5;

// ---------------------------- BLASTER AUTODROP -----------------------------
// WEAPON PREFENCES FOR POST BLASTER DROP READYING
$s::weaponPreference = "Disc Launcher";

// ------------------------------ DEATH TOSS --------------------------------
// THROW GRENADES OPTION
// 1: You want to throw hand grenades
// 0: You dont want to throw hand grenades
$thrower::ThrowGrens = 1;

// THROW MINES OPTION
// 1: You want to throw mines
// 0: You dont want to throw mines
$thrower::ThrowMines = 1;

// THROW GRENADES OR MINES FIRST OPTION
// If you're throwing both grenades and mines, set this to 'grenade'
// (no qoutes) if you want to throw grenades before mines. Set it to 'mine'
// (no qoutes) if you want to throw mines before grenades.
// This setting is only applicable if both the $thrower::ThrowGrens AND
// $thrower::ThrowMines options are set to 1. But, you still need to
// set this to 'mine' or 'grenade' if you only have one of of the above
// two options set to 1 ($thrower::ThrowGrens OR
// $thrower::Throwmines set to 1)
// If interleaving is on this will decide which item will be thrown first.
// grenade: mines are thrown first, then grenades
// mine: grenades are thrown first, then mines
$thrower::FirstItem = mine;

// INTERLEAVING OPTION
// Set to 1 if you're throwing both grens and mines and you want to interleave
// the mine and grenade throwing. 
// This setting is only applicable if both the $thrower::ThrowGrens and
// $thrower::ThrowMines options are set to 1.
// 1: mine & gren throwing is alternated. 1 mine, 1 gren, 1 mine, 1 gren, etc.
// 0: all of the first items are thrown then all of the other items are
//    thrown. The 1st item is specified in the $thrower::FirstItem option.
$thrower::Interleave = 0;

// FAR THROW OPTION
// Far throwing throws the items as far as possible.
// Set to 1 if you want to start game with far throwing on
// Set to 0 if you want to start game with far throwing off
$thrower::FarThrow = 1;                          

// --------------------- CYCLE/CLUSTER SPEW OPTIONS ----------------------
//
// The following lines turn on the items that'll be used for the cycle and
// cluster modes.
// Uncomment the line under the CAPITALIZED item name for the items you want
// to spew. Uncommenting means removing the // characters from the begining
// of the line.
// Specifiy the quantity you want spewed (for each uncommented line) by
// adjusting the number at the end of the line, the number before ;.
//
// BLASTER
// $z++; $s::item[$z] = "Blaster"; $s::item[$z, $z] = 1;
//
// CHAINGUN
// $z++; $s::item[$z] = "Chaingun"; $s::item[$z, $z] = 1;
// 
// PLASMA GUN
// $z++; $s::item[$z] = "Plasma Gun"; $s::item[$z, $z] = 1;
// 
// GRENADE LAUNCHER
// $z++; $s::item[$z] = "Grenade Launcher"; $s::item[$z, $z] = 1;
// 
// MORTAR
// $z++; $s::item[$z] = "Mortar"; $s::item[$z, $z] = 1;
// 
// DISC LAUNCHER
// $z++; $s::item[$z] = "Disc Launcher"; $s::item[$z, $z] = 1;
// 
// LASER RIFLE
// $z++; $s::item[$z] = "Laser Rifle"; $s::item[$z, $z] = 1;
// 
// TARGETING LASER
// $z++; $s::item[$z] = "Targeting Laser"; $s::item[$z, $z] = 1;
// 
// ELF
// $z++; $s::item[$z] = "ELF Gun"; $s::item[$z, $z] = 1;
// 
// ENERGY PACK
// $z++; $s::item[$z] = "Energy Pack"; $s::item[$z, $z] = 2;
// 
// REPAIR PACK
 $z++; $s::item[$z] = "Repair Pack"; $s::item[$z, $z] = 2;
// 
// SHIELD PACK
// $z++; $s::item[$z] = "Shield Pack"; $s::item[$z, $z] = 1;
// 
// SENSOR JAMMER PACK
// $z++; $s::item[$z] = "Sensor Jammer Pack"; $s::item[$z, $z] = 1;
// 
// AMMO PACK
// $z++; $s::item[$z] = "Ammo Pack"; $s::item[$z, $z] = 1;
// 
// INVENTORY STATION
// $z++; $s::item[$z] = "Inventory Station"; $s::item[$z, $z] = 3;
// 
// AMMO STATION
// $z++; $s::item[$z] = "Ammo Station"; $s::item[$z, $z] = 1;
// 
// MOTION SENSOR
// $z++; $s::item[$z] = "Motion Sensor"; $s::item[$z, $z] = 1;
// 
// PULSE SENSOR
// $z++; $s::item[$z] = "Pulse Sensor"; $s::item[$z, $z] = 1;
// 
// SENSOR JAMMER
// $z++; $s::item[$z] = "Sensor Jammer"; $s::item[$z, $z] = 1;
// 
// CAMERA
// $z++; $s::item[$z] = "Camera"; $s::item[$z, $z] = 1;
// 
// TURRET
// $z++; $s::item[$z] = "Turret"; $s::item[$z, $z] = 3;
// 
// REPAIR KIT
// $z++; $s::item[$z] = "Repair Kit"; $s::item[$z, $z] = 3;
// 
// MINE
// $z++; $s::item[$z] = "Mine"; $s::item[$z, $z] = 1;
// 
// HAND GRENADE
// $z++; $s::item[$z] = "Grenade"; $s::item[$z, $z] = 1;
// 
// BEACON
// $z++; $s::item[$z] = "Beacon"; $s::item[$z, $z] = 1;

// -------------------------- ZOOM/SNIPE/CROUCH -----------------------------
// Set this to 1 if you want to automatically switch back to the weapon you
// were holding prior to pressing the "snipe" key
// Set this to 0 to turn off Previous weapon Auto-Switching
$z0ddzoomsnipe::switchBackToWpn = 1;

// Set this to 1 if you want to automatically crouch when you press the
// Zoom/Snipe key.
// Set this to 0 to turn off auto-crouching
$z0ddzoomsnipe::autoCrouch = 1;

// Set this to 1 if you want to crouch when you press the Zoom/Snipe
// key when you don't have the Laser Rifle.
// Set this to 0 to if you don't want to crouch when you don't have the
// Laser Rifle
// Note: This setting is meaningless if you have auto-crouching turned off.
$z0ddzoomsnipe::crouchWithoutRifle = 1;

// Set this to 1 if you want the Zoom/Snipe key to zoom in EVERY time you
// press it regardless of whether or not you have the Laser Rifle.
// Set this to 0 to only zoom in if you have the Laser Rifle.
$z0ddzoomsnipe::alwaysZoom = 1;

// ---------------------------- SCAVENGER ----------------------------------
// settings for what you'd like scavenger to drop
$Scavenger::Drop["Blaster"] = true;
$Scavenger::Drop["Chaingun"] = false;
$Scavenger::Drop["Bullet"] = false;
$Scavenger::Drop["Disc Launcher"] = false;
$Scavenger::Drop["Disc"] = false;
$Scavenger::Drop["ELF Gun"] = true;
$Scavenger::Drop["Grenade Launcher"] = true;
$Scavenger::Drop["Grenade Ammo"] = false;
$Scavenger::Drop["Laser Rifle"] = true;
$Scavenger::Drop["Mortar"] = true;
$Scavenger::Drop["Mortar Ammo"] = false;
$Scavenger::Drop["Plasma Gun"] = true;
$Scavenger::Drop["Plasma Bolt"] = false;
$Scavenger::Drop["Targeting Laser"] = false;
$Scavenger::Drop["Inventory Station"] = true;
$Scavenger::Drop["Ammo Station"] = true;
$Scavenger::Drop["Energy Pack"] = true;
$Scavenger::Drop["Repair Pack"] = false;
$Scavenger::Drop["Shield Pack"] = true;
$Scavenger::Drop["Ammo Pack"] = true;
$Scavenger::Drop["Sensor Jammer Pack"] = true;
$Scavenger::Drop["Motion Sensor"] = true;
$Scavenger::Drop["Pulse Sensor"] = true;
$Scavenger::Drop["Sensor Jammer"] = true;
$Scavenger::Drop["Camera"] = true;
$Scavenger::Drop["Turret"] = true;
$Scavenger::Drop["Repair Kit"] = false;
$Scavenger::Drop["Mine"] = true;
$Scavenger::Drop["Grenade"] = false;
$Scavenger::Drop["Beacon"] = false;

// -------------------------------- CG FOV ---------------------------------
//the desired FOV when using CG
$s::fovSmoothDest = 90;
//delay (lower number the faster the transition)
$s::fovSmoothDel = 0.005;
//increase sensitivity when at CG FOV (-1 for no change)
$s::fovSensitivityFactor = 1.0;