// Autoload 1.111.11.1111.1.1.1111.10
// By Tim 'Zear' Hammock

function Autoload::Autoload(%ext)
{
    $Autoload::autoloaded = 0;
    %actualLoads = 0;

    %file = File::findFirst(%ext);
    while(%file != "")
    {
        %actualLoads += Autoload::buildList(%file);
        %file = File::findNext(%ext);
    }

    for(%i = 0; %i < $Autoload::autoloaded; %i++)
    {
	//echo("i="@%i@" -- "@$Autoload::autoloaded);
        %file = $Autoload::autoloaded[%i, loc];
	//echo("-- LOADING " @ %file);
        if(String::ICompare(String::right($Autoload::autoloaded[%i, loc], 4), ".vol") == 0)  // fixed Draclich
        {
            %base = File::getBase(File::getBase($Autoload::autoloaded[%i, loc]));
            EvalSearchPath::addVol(%base, $Autoload::autoloaded[%i, loc]);  // added 12-13-99 Zear
    		newObject(%base, SimVolume, $Autoload::autoloaded[%i, loc]);
        }
        else if(String::ICompare(String::right($Autoload::autoloaded[%i, loc], 3), ".cs") == 0)
        {
            exec(%file);
        }
    }

    //echo("Autoload (" @ %ext @ "): "@$Autoload::autoloaded@" files considered, "@%actualLoads@" loaded.");

    deleteVariables("$Autoload*");
}

function Autoload::buildList(%file)
{
    %unique = true;
    for(%i = 0; (%i < $Autoload::autoloaded) && %unique; %i++)    // this all seems unnecessary, but it is needed
    {                                                           // otherwise, the same file is loaded multiple times
        if($Autoload::autoloaded[%i, loc] == %file)             // timing issue maybe? I dunno.
            %unique = false;
    }
        
    if(%unique)
    {
        $Autoload::autoloaded[$Autoload::autoloaded, loc] = %file;
        $Autoload::autoloaded[$Autoload::autoloaded, acs] = true;
        $Autoload::autoloaded++;
    }

    //echo(%file @ " - unique=" @ %unique @ " --- " @ $Autoload::autoloaded);
    
    return 1;
}