$toggle::menuopen = false;

function s::ToggleMenu()
{
	if($toggle::menuopen) {
		$toggle::menuopen = false;
		PopActionMap("toggles.sae");
		remoteCP(2048, "", 0.1);
		return;
	}
	
	$toggle::menuopen = true;
	PushActionMap("toggles.sae");
	remoteCP(2048, $s::ToggleMenu, 999);
}

$s::NumToggles=0;

function s::AddToggle(%var, %str, %func)
{
	$s::ToggleIndex[$s::NumToggles] = %var;
	$s::ToggleText[%var,text] = %str;
	$s::ToggleText[%var,func] = %func;
	$s::NumToggles++;
	
	s::ToggleBuildMenu();
}

function s::ToggleBuildMenu()
{
	$s::ToggleMenu = "<JL><F0>smaleshud" @ $s::Version @ " -- Toggles:\n";

	NewActionMap("toggles.sae");

	for(%i=0;%i<$s::NumToggles;%i++)
	{
		if(%i <= 9)
			%customKey = %i;
		else 
			%customKey = string::char(%i+55);
		
		%var = $s::ToggleIndex[%i];
		eval("%val=$sp::"@%var@";");
		if(%val) %val = "ON";
		else %val = "OFF";
		$s::ToggleMenu = $s::ToggleMenu @ "\n<JL><F2> " @ %customKey @ " - <F1>" @ $s::ToggleText[%var,text] @ " (<F2>" @ %val @ "<F1>)";
		bindCommand(keyboard0, make, %customKey, TO, "s::GenericToggle(\"" @ %var @ "\");");
		bindCommand(keyboard0, break, %customKey, TO, "");
	}
	
	$s::ToggleMenu = $s::ToggleMenu @ "\n\n<JL><F2> R - <F1>Rebuild Menu";
	bindCommand(keyboard0, make, "r", TO, "s::ToggleBuildMenu();");
	bindCommand(keyboard0, break, "r", TO, "");
	
	$s::ToggleMenu = $s::ToggleMenu @ "\n<JL><F2> X - <F1>Cancel and Close";
	bindCommand(keyboard0, make, "x", TO, "s::ToggleMenu();");
	bindCommand(keyboard0, break, "x", TO, "");
}

function s::Toggler(%variable, %string)
{
	echo("s::Toggler - " @ %variable @ " - " @ %string);
	if(%variable) {
		Schedule::Add("s::CenterPrint(\"<jc><f1>smalesHUD" @ $s::Version @ " -- " @ %string @ " is now <f2>OFF\", 1);", 0.2);
		return "FALSE";		
	}
	else {
		Schedule::Add("s::CenterPrint(\"<jc><f1>smalesHUD" @ $s::Version @ " -- " @ %string @ " is now <f2>ON\", 1);", 0.2);
		return "TRUE";		
 	}
}

function s::GenericToggle(%var)
{
	$toggle::menuopen = false;
	remoteCP(2048, "", 0.1);

	%ttext = $s::ToggleText[%var,text];
	%endcall = $s::ToggleText[%var,func];
	echo("$sp::"@%var@"=s::Toggler($sp::"@%var@", \""@%ttext@"\");");
	eval("$sp::"@%var@"=s::Toggler($sp::"@%var@", \""@%ttext@"\");");
	if(%endcall != "")
		eval(%endcall);

	PopActionMap("toggles.sae");
	s::ToggleBuildMenu();
}