$s::speedhudpulse = 0.2;

function speedhud::Create()
{
	if($s::Huds[speed]) {
		Hud::new("s_SpeedCont", $s::hud_speed_X, $s::hud_speed_Y, 45, 16, speedhud::Update, "", $sp::bgLevel);
		newObject("s_SpeedStr", FearGuiFormattedText, 12, -1, 0, 0);
		Hud::Add("s_SpeedCont", "s_SpeedStr");
		if($s::BitmapsOn) {
			newObject("s_SpeedBmp", FearGuiFormattedText, -2, 2, 0, 0);
			Control::setValue("s_SpeedBmp", "<BM_player_green.bmp>");
			Hud::Add("s_SpeedCont", "s_SpeedBmp");
		}
	}
}

function speedhud::Update()
{
	Control::setValue("s_SpeedStr", $sp::FontColor @ string::getSubStr($Speed, 0, string::findSubStr($Speed, ".")+2));
		
	Schedule::Add("speedhud::Update();", $s::speedhudpulse);
}

if($s::Huds[speed]) {
	speedhud::Create();
}