$s::DeployedMsgs["Remote Turret deployed"]	= "Turret";
$s::DeployedMsgs["Inventory Station deployed"]	= "Inventory Station";
$s::DeployedMsgs["Beacon deployed"]		= "Beacon";
$s::DeployedMsgs["Pulse Sensor deployed"] 	= "Pulse Sensor";
$s::DeployedMsgs["Ammo Station deployed"] 	= "Ammo Station";
$s::DeployedMsgs["Motion Sensor deployed"] 	= "Motion Sensor";
$s::DeployedMsgs["Sensor Jammer deployed"] 	= "Sensor Jammer";
$s::DeployedMsgs["Camera deployed"] 		= "Camera";

function s::nickCheck(%client,%delta)
{
	%name = Client::getName(%client);
	
	if(String::getSubStr(%name, 0, 6) == "Repair")
		$s::nickAsshole+=%delta;
	else if(String::FindSubStr(%name, "deployed") != -1)
		$s::nickAsshole+=%delta;
}

function s::onJoinCheck(%client)
{
	s::nickCheck(%client,1);
}

function s::onDropCheck(%client)
{
	s::nickCheck(%client,-1);
}

function s::onDeployed(%msg) 
{
	if($sp::AnnounceDeploy && !$s::nickAsshole) {
		%item = $s::DeployedMsgs[%msg];
		say(1, "*** DEPLOYED: " @ %item @ " ***");
		return false;
	}
	return true;
}

function s::onRepairing(%msg) 
{
	if($sp::AnnounceRepair && !$s::nickAsshole) {
		if(%msg == "Repair Done") {
			say(1, "*** REPAIRED: " @ $s::repairItem @ " ***");
		} else if(%msg == "Repair Stopped") {
			localMessage("wait1");
		} else {
			$s::repairItem = String::getSubStr(%msg, 10, 100);
			say(1, "*** REPAIRING: " @ $s::repairItem @ " ***");
		}
		return false;
	}
	return true;
}

s::AddToggle(AnnounceDeploy, "Announce a deploy");
s::AddToggle(AnnounceRepair, "Announce a repair");

event::Attach(eventConnectionAccepted, "$s::nickAsshole=0;");
event::Attach(eventDeployed, s::onDeployed);
event::Attach(eventRepairing, s::onRepairing);
event::Attach(eventClientJoin, s::onJoinCheck);
event::Attach(eventClientDrop, s::onDropCheck);