// -------------------------------- Ski Delay --------------------------------
//                                                                 
// This number is the time delay between successive jumps when you're holding
// down the Ski Key.  The default is set to 0.001.
// You only need to modify this value if tribes gets slow after installing
// this script.  Increase this vlaue by small amounts (such as 0.01) until
// you're happy with the performance of Tribe and your skiing.
// The higher you make this value the worse your skiing will be. 
$s::skiDelay = 0.001;

//
// Called when client presses/holds ski/jump key and when client releases it
//
function s::SkiStart()
{
	// allow us to change observer modes ;)
	if((client::getteam(getmanagerid()) == -1))
	{
		postAction(2048, IDACTION_MOVEUP, 1);
		return;
	}

	if(!$s::jumping) {
		// We aren't jumping yet, so start jumping now       	
		$s::jumping = 1;
		//uncomment for crouch ski
		//postAction(2048, IDACTION_CROUCH, 1);
		s::keepJumping();
	}
}

function s::SkiStop()
{
	//uncomment for crouch ski
	//postAction(2048, IDACTION_STAND, 0);
	$s::jumping = 0;
}

//
// Keep jumping while a key is held down
//
function s::keepJumping()
{
	if($s::jumping)
	{
		postAction(2048, IDACTION_MOVEUP, -0);
		schedule("s::keepJumping();", $s::skiDelay);
	}
}