$tv::menuopen = false;

function TV::Menu()
{
	if($tv::menuopen) {
		$tv::menuopen = false;
		TV::DeActivate();
		return;
	}
	$tv::menuopen = true;
	%menu = "<JL><F0>TV Select player:\n";
	%count = 0;

	// New keymap
	NewActionMap("TV.sae");

	%MyTeamID = Client::GetTeam(getManagerID());

	for(%clientId = 2048 ; %clientId < 2180 ; %clientId++)
	{
		%TempTeamID = Client::GetTeam(%clientId);
		if(Client::GetName(%clientId) != "" && %TempTeamID == %MyTeamID)
		{
			%count++;

			if(%count <= 9)
			$customKey = %count;
			else if(%count == 10)
			$customKey = "a";
			else if(%count == 11)
			$customKey = "b";
			else if(%count == 12)
			$customKey = "c";
			else if(%count == 13)
			$customKey = "d";
			else if(%count == 14)
			$customKey = "e";
			else if(%count == 15)
			$customKey = "f";
			else if(%count == 16)
			$customKey = "g";

                        $TV::TTName = Client::GetName(%clientId);
			%menu = %menu @ "\n<JL><F2>" @ $customKey @ ". <F1>" @ $TV::TTName;

			bindCommand(keyboard0, make, $customKey, TO, "TV::Select(" @ %clientId @ ");");
			bindCommand(keyboard0, break, $customKey, TO, "TV::DeActivate();");
		}
	}

	// Load keymap
	PushActionMap("TV.sae");

	// CP the menu
	remoteCP(2048, %menu, 999);
}

function TV::Select(%clientId)
{
	// Clear CP
	remoteCP(2048, "", 0.1);

	$TV::Selected = %clientId;
	$TV::TTName = Client::GetName(%clientId);

	TV::Activate($TV::Selected);
}

function TV::Selected()
{
	TV::Activate($TV::Selected);
}

function TV::Carrier()
{
	$TV::TTName = Client::getName($TV::FlagCarrier);
	TV::Activate($TV::FlagCarrier);
}

function TV::Activate(%clientId)
{
	// Can't obs if there's no carrier..
	if(Client::getName(%clientId) == "")
	{
		$TV::Active = "False";
		remoteBP(2048, "<JC><F1>smalesHUD"@$s::Version@".TV -- <F2>illegal clientID!", 2);
		return;
	}

	// Delete the entire CommandGui
	if(isObject("CommandGui"))
		renameObject("CommandGui", "_CommandGui");

	// Add CMDObserve if it isn't there..
	if(!isObject("PlayGui/ObsTV"))
	{
		addToSet(PlayGui, newObject("ObsTV", FearGui::CMDObserve, 0, 0, 1, 1));
	}

	// Go to CommandMode
	remoteEval(2048, CommandMode);

	// Force full bandwidth
	RemoteEval(2048, "scom", -1);

	// Turn off the cursor
	Schedule::Add("CursorOff(mainwindow);", 0.3);

	// Enable observer mode
	Client::ToggleCmdObserver("True");

	// Observe flag-carrier or team-mate
	Client::cmdObservePlayer(%clientId);

	// Show who we are obsing
	remoteBP("<JC><F1>smalesHUD"@$s::Version@".TV -- <F2>" @ $TV::TTName, 999);

	// Just to make sure..
	$TV::Active = "True";
}

function TV::DeActivate()
{
	// Unload keymap
	PopActionMap("TV.sae");

	Client::ToggleCmdObserver("False");

	remoteEval(2048, PlayMode);

	if (isObject("PlayGui/ObsTV"))
		deleteObject("PlayGui/ObsTV");

	if (isObject("_CommandGui"))
		renameObject("_CommandGui", "CommandGui");

	remoteBP(2048, "", 0.1);

	$TV::Active = "False";
}

function TV::FlagTaken(%team, %client)
{
	%me = getManagerID();
      
	%myTeam = Client::getTeam(%me);
	%clTeam = Client::getTeam(%client);

	if(%myTeam == %clTeam)
		$TV::FlagCarrier = %client;
}

Event::Attach(eventFlagTaken, TV::FlagTaken);