$Zoom::Zoom = 2;

// zooming in
function Zoom::Zoom()
{
	event::Trigger(eventZoomIn);
	postAction(2048, IDACTION_SNIPER_FOV, 1.000000);
}

// releasing zoom
function Zoom::UnZoom()
{
	postAction(2048, IDACTION_SNIPER_FOV, 0.000000);
	event::Trigger(eventZoomOut);

	if($sp::ResetZoom)
		Zoom::resetZoom();
}

// cycling zoom levels
function Zoom::ZoomIn()
{
	postAction(2048, IDACTION_INC_SNIPER_FOV, 1.000000);

	if($Zoom::Zoom < 4)
		$Zoom::Zoom++;
	else
		$Zoom::Zoom = 1;
}

// reset zoom to desired zoom when we zoom out
function Zoom::resetZoom()
{
	if($sp::DefaultZoom == "")
		$sp::DefaultZoom = 1;
	
	while($Zoom::Zoom != $sp::DefaultZoom)
		Zoom::ZoomIn();
}

function Zoom::JoinResetZoom()
{
	$Zoom::Zoom = 2;
	
	Zoom::resetZoom();
}

s::AddToggle(ResetZoom, "Auto reset zoom");

event::Attach(eventConnected, Zoom::JoinResetZoom);