// ---------------------------- HUD DISPLAY OPTIONS -----------------------------
// HUD ON/OFF SWITCHES
//    comment lines out to disable a given hud
// FORMAT: s::HudAdd(hud, width, heigh, x, y);
//    X,Y coords are dependent on auto positioning...
//    only touch these values and expect them to work if $s::HudAutoPosition = false;
s::HudAdd(myScore, 45, 16, 1, 99);
s::HudAdd(kit, 36, 16, 1, 118);
s::HudAdd(grens, 36, 16, 1, 133);
s::HudAdd(mines, 36, 16, 1, 148);
s::HudAdd(beacs, 36, 16, 1, 163);
s::HudAdd(eCarrier, 148, 16, 35, 65);
s::HudAdd(fCarrier, 148, 16, 35, 80);
s::HudAdd(eScore, 36, 16, 1, 80);
s::HudAdd(fScore, 36, 16, 1, 65);
s::HudAdd(teamF, 36, 16, 1, 182);
s::HudAdd(teamE, 36, 16, 1, 197);
s::HudAdd(teamO, 36, 16, 1, 212);
s::HudAdd(fps, 36, 16, 1, 277);
s::HudAdd(speed, 45, 16, 1, 315);
//s::HudAdd(kd, 45, 16, 1, 144);
//s::HudAdd(smsg, 300, 60, 440, 1);

// AUTO POSITIONING
//   if set to TRUE smalesHUD will automatically set hud positions based on HudOrder and switches...
//   if set to FALSE smalesHUD will set hud positions based on location coordinates...
$s::HudAutoPosition = true;
// horizontal alignment
// "left" or "right"
$s::HudHAlign = "left";
// vertical alignment
// "top" or "bottom"
$s::HudVAlign = "top";
// Y buffer
// the space between the top/bottom of the screen and the start of the huds
// depending on your vertical alignment
$s::HudYBuffer = 65;
// X buffer
// the space between the left/right of the screen and the start of the huds
// depending on your horizontal alignment
$s::HudXBuffer = 1;

// BITMAP OPTIONS
// are any bitmaps enabled?
$s::BitmapsOn = true;
// team bitmaps
$s::BitmapsTeamOn = true;
// friendly/enemy bitmaps
$s::BitmapsWhosWhoOn = true;

// HUD ORDER FOR AUTO POSITIONING
//   only touch these values and expect them to work if $s::HudAutoPosition = 1; (above)
$s::hc++; $s::HudOrder[$s::hc] = "eCarrier";
$s::hc++; $s::HudOrder[$s::hc] = "fCarrier";
$s::hc++; $s::HudOrder[$s::hc] = "fScore";
$s::hc++; $s::HudOrder[$s::hc] = "eScore";
$s::hc++; $s::HudOrder[$s::hc] = "--SPACER--";
$s::hc++; $s::HudOrder[$s::hc] = "myScore";
$s::hc++; $s::HudOrder[$s::hc] = "kd";
$s::hc++; $s::HudOrder[$s::hc] = "--SPACER--";
$s::hc++; $s::HudOrder[$s::hc] = "kit";
$s::hc++; $s::HudOrder[$s::hc] = "grens";
$s::hc++; $s::HudOrder[$s::hc] = "mines";
$s::hc++; $s::HudOrder[$s::hc] = "beacs";
$s::hc++; $s::HudOrder[$s::hc] = "--SPACER--";
$s::hc++; $s::HudOrder[$s::hc] = "teamF";
$s::hc++; $s::HudOrder[$s::hc] = "teamE";
$s::hc++; $s::HudOrder[$s::hc] = "teamO";
$s::hc++; $s::HudOrder[$s::hc] = "--SPACER--";
$s::hc++; $s::HudOrder[$s::hc] = "speed";
$s::hc++; $s::HudOrder[$s::hc] = "--SPACER--";
$s::hc++; $s::HudOrder[$s::hc] = "fps";