//get the time in global array $time
function Time::Array()
{
	%str = timestamp();

	$Time[yr] = String::GetSubStr(%str, 00, 04);
	$Time[mo] = String::GetSubStr(%str, 05, 02);
	$Time[dy] = String::GetSubStr(%str, 08, 02);
	$Time[hr] = String::GetSubStr(%str, 11, 02);
	$Time[mn] = String::GetSubStr(%str, 14, 02);
	$Time[sc] = String::GetSubStr(%str, 17, 02);
	$Time[ms] = String::GetSubStr(%str, 20, 03);
}

//number of days in a month
function Time::Days(%mn, %yr)
{
	if (%mn!=2)	{ if (%mn>7) %mn-=7; if (%mn & 1) %days=31; else %days=30; }
	else { if ( (%yr%4==0) && (%yr%100==0) && (%yr%400==0) ) %days=29; else %days=28; }

	return %days;
}

//returns the raw seconds since the beginning of the month
//if this gets called right before/after midnight.. sucks to be you, tribes precision is gay
function Time::Raw()
{
	Time::Array();
	return $Time[ms]/1000 + $Time[sc] + $Time[mn]*60 + $Time[hr]*60*60;
}

//return the time in a format suitable for filenames
function Time::FileWriteable()
{
	Time::Array();
	return ($time[yr]@"-"@$time[mo]@"-"@$time[dy]@"-"@$time[hr]@$time[mn]@$time[sc]);
}

//delay for %sec REAL seconds (may be a fraction)
function Time::Delay(%sec)
{
	%r = Time::Raw();
	while ( (Time::Raw()-%r) < %sec ) {}
}