// andrew's stuff

//time is stored internally x10 so we can inc/dec by 1 instead of 0.1 for precision
function Timer::New(%whole, %tenths)
{
	return (%whole*10)+%tenths;
}

//increment the timer by a tenth of a second
function Timer::Inc(%str)
{
	return %str+1;
}

//decrement the timer by a tenth of a second
function Timer::Dec(%str)
{
	return %str-1;
}

//format the time to something viewable
function Timer::Format(%str)
{
	%len = string::len(%str);
	// ex: 5, val = 00.5
	if (%len == 1)
		%val = "00." @ %str;
	// ex: 83, val = 08.3
	else if (%len == 2)
		%val = "0" @ string::getSubStr(%str, 0, 1) @ "." @ string::getSubStr(%str, 1, 1);
	//ex: 225, val = 22.5
	else
		%val = string::getSubStr(%str, 0, 2) @ "." @ string::getSubStr(%str, 2, 1);
	
	return %val;
}